# Interface gmfFitOptions

#### Hierarchy

- gmfFitOptions

- Defined in src/options.js:919

#####
Index

### Properties

duration
maxZoom
minResolution
nearest
padding

## Properties

### duration

duration: number

The duration of the animation in milliseconds. By default, there is no animation to the target extent.

- Defined in src/options.js:924

### maxZoom

maxZoom: number

Maximum zoom level that we zoom to. If minResolution is given, this property is ignored.

- Defined in src/options.js:923

### minResolution

minResolution: number

Minimum resolution that we zoom to.

- Defined in src/options.js:922

### nearest

nearest: boolean

If the view constrainResolution option is true, get the nearest extent instead of the closest that actually fits the view.

- Defined in src/options.js:921

### padding

padding: number[]

Padding (in pixels) to be cleared inside the view. Values in the array are top, right, bottom and left padding.

- Defined in src/options.js:920

Generated using TypeDoc